/* Organism.cpp
 *
 * Copyright (C) 2007 Laboratoire de Biométrie et Biologie Évolutive
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <iostream>
#include "../include/Organism.h"
#include <map>
#include <cstring>
#include <cstdlib>

//extern map<void*,bool> organismPtrs;

Organism::Organism(char *org_id)
{
  //organismPtrs[this]=false;
  cout << "add organims : "<< this << endl;  
  id = (char*)malloc((strlen(org_id)+1)*sizeof(char));
  strcpy(id,org_id);
  enzymes = new list<Enzyme *>;
}

Organism::~Organism()
{
  free(id);
  delete(enzymes);
}

char *Organism::get_id()
{
  return id;
}

void Organism::add_enzyme(Enzyme *enz_to_add)
{
  enzymes->push_back(enz_to_add);
}
